Skip to navigation

Paginated timeline of typed events for a line run

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

run_idstringRequiredformat: "uuid"

Headers

X-Islo-Api-VersionstringRequired

Query parameters

limitintegerOptional1-500Defaults to 100
cursorstring or nullOptional
after_sequenceinteger or nullOptional>=0
includelist of stringsOptionalDefaults to []
event_typeslist of strings or nullOptional
Restrict the timeline to these event types

Response

Successful Response
itemslist of objects
next_cursorstring or null
totalinteger or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error